Bug 962689 - [abrt] wkhtmltopdf-0.11.0-0.2.rc1.fc18: node_copy: Process /usr/bin/wkhtmltopdf was killed by signal 11 (SIGSEGV)
[abrt] wkhtmltopdf-0.11.0-0.2.rc1.fc18: node_copy: Process /usr/bin/wkhtmltop...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wkhtmltopdf (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:1c18f3f7170d674207b690106fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 05:18 EDT by sebastian.kozakowski
Modified: 2014-02-05 16:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:21:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.45 KB, text/plain)
2013-05-14 05:18 EDT, sebastian.kozakowski
no flags Details
File: cgroup (132 bytes, text/plain)
2013-05-14 05:18 EDT, sebastian.kozakowski
no flags Details
File: core_backtrace (4.12 KB, text/plain)
2013-05-14 05:18 EDT, sebastian.kozakowski
no flags Details
File: dso_list (15.00 KB, text/plain)
2013-05-14 05:18 EDT, sebastian.kozakowski
no flags Details
File: environ (2.76 KB, text/plain)
2013-05-14 05:18 EDT, sebastian.kozakowski
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-14 05:18 EDT, sebastian.kozakowski
no flags Details
File: maps (74.30 KB, text/plain)
2013-05-14 05:18 EDT, sebastian.kozakowski
no flags Details
File: open_fds (3.48 KB, text/plain)
2013-05-14 05:18 EDT, sebastian.kozakowski
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-05-14 05:18 EDT, sebastian.kozakowski
no flags Details
File: var_log_messages (734 bytes, text/plain)
2013-05-14 05:18 EDT, sebastian.kozakowski
no flags Details

  None (edit)
Description sebastian.kozakowski 2013-05-14 05:18:12 EDT
Version-Release number of selected component:
wkhtmltopdf-0.11.0-0.2.rc1.fc18

Additional info:
backtrace_rating: 4
cmdline:        /bin/wkhtmltopdf http://stokolorowkuchni.blox.pl/html /var/www/html/blogs/scripts/../public/resources/tmp.pdf
crash_function: node_copy
executable:     /usr/bin/wkhtmltopdf
kernel:         3.8.11-200.fc18.x86_64
uid:            1000
ureports_counter: 1
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 node_copy at /usr/include/QtCore/qlist.h:399
 #1 QList<QPair<QString, QString> >::detach_helper at /usr/include/QtCore/qlist.h:711
 #2 QList at /usr/include/QtCore/qlist.h:122
 #3 QForeachContainer at /usr/include/QtCore/qglobal.h:2365
 #4 wkhtmltopdf::MyNetworkAccessManager::createRequest at ../lib/multipageloader.cc:79
 #5 QNetworkAccessManager::get at access/qnetworkaccessmanager.cpp:598
 #6 WebCore::QNetworkReplyHandler::sendNetworkRequest at platform/network/qt/QNetworkReplyHandler.cpp:626
 #7 WebCore::QNetworkReplyHandler::start at platform/network/qt/QNetworkReplyHandler.cpp:665
 #8 flush at platform/network/qt/QNetworkReplyHandler.cpp:195
 #9 WebCore::QNetworkReplyHandlerCallQueue::flush at platform/network/qt/QNetworkReplyHandler.cpp:187
Comment 1 sebastian.kozakowski 2013-05-14 05:18:16 EDT
Created attachment 747582 [details]
File: backtrace
Comment 2 sebastian.kozakowski 2013-05-14 05:18:19 EDT
Created attachment 747583 [details]
File: cgroup
Comment 3 sebastian.kozakowski 2013-05-14 05:18:21 EDT
Created attachment 747584 [details]
File: core_backtrace
Comment 4 sebastian.kozakowski 2013-05-14 05:18:24 EDT
Created attachment 747585 [details]
File: dso_list
Comment 5 sebastian.kozakowski 2013-05-14 05:18:26 EDT
Created attachment 747586 [details]
File: environ
Comment 6 sebastian.kozakowski 2013-05-14 05:18:29 EDT
Created attachment 747587 [details]
File: limits
Comment 7 sebastian.kozakowski 2013-05-14 05:18:31 EDT
Created attachment 747588 [details]
File: maps
Comment 8 sebastian.kozakowski 2013-05-14 05:18:34 EDT
Created attachment 747589 [details]
File: open_fds
Comment 9 sebastian.kozakowski 2013-05-14 05:18:37 EDT
Created attachment 747590 [details]
File: proc_pid_status
Comment 10 sebastian.kozakowski 2013-05-14 05:18:39 EDT
Created attachment 747591 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 08:31:44 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 16:21:34 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.